DXR is a code search and navigation tool aimed at making sense of large projects. It supports full-text and regex searches as well as structural queries.

Mercurial (0ab021490077)

VCS Links

Line Code
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
name = "ws"
version = "0.9.1"
authors = ["Jason Housley <HousleyJK@gmail.com>"]
description = "Lightweight, event-driven WebSockets for Rust."
documentation = "https://ws-rs.org/docs"
readme = "README.md"
keywords = ["websocket", "mio", "event-driven", "io", "web"]
license = "MIT"
repository = "https://github.com/housleyjk/ws-rs"
[dependencies.byteorder]
version = "1.2.1"

[dependencies.bytes]
version = "0.4.6"

[dependencies.httparse]
version = "1.2.4"

[dependencies.libc]
version = "0.2.40"
optional = true

[dependencies.libz-sys]
version = "1.0.18"
optional = true

[dependencies.log]
version = "0.4.1"

[dependencies.mio]
version = "0.6.14"

[dependencies.mio-extras]
version = "2.0"

[dependencies.native-tls]
version = "0.2"
optional = true

[dependencies.openssl]
version = "0.10"
optional = true

[dependencies.rand]
version = "0.7"

[dependencies.sha-1]
version = "0.8.0"

[dependencies.slab]
version = "0.4"

[dependencies.url]
version = "2.0.0"
[dev-dependencies.clap]
version = "2.31.2"

[dev-dependencies.env_logger]
version = "0.6"

[dev-dependencies.term]
version = "0.5.1"

[dev-dependencies.time]
version = "0.1.39"

[features]
default = []
nativetls = ["native-tls"]
permessage-deflate = ["libz-sys", "libc"]
ssl = ["openssl"]